<?php

session_start();

setcookie("Image2Food", time(), time() + (60 * 60 * 24 * 120));

/**
* Festlegung der Untergrenze für die PHP-Version
* @version 1.0
*/
if (0 > version_compare(PHP_VERSION, '7')) {
    die('<h1>Für diese Anwendung ' . 'ist mindestens PHP 7 notwendig');
}

class MeineAusnahme extends Exception{};
?>


<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image2Food - Sag mir was ich daraus kochen kann - Index</title>
</head>
<body> 
   <div id="nav"> 
    <?php 

        try {
            if (isset($_SESSION["login"]) && ($_SESSION["login"] == "true")) {
                if (!@include("navmitglieder.php")){
                    throw new MeineAusnahme();
                }
            }
            else {
                if (!@include("nav.php")){
                    throw new MeineAusnahme();
                }
            } 

        } catch (MeineAusnahme $e) {
            die("<h1>Image2Food - Sag mir was ich daraus kochen kann</h1>
            <h2>Das soziale, multimediale Netzwerk für Kochideen</h2>
            <p> Leider gibt es ein Problem mit der Webseite.
            Wir arbeiten daran mit Hochdruck. Besuchen Sie uns in kürze wieder erneut</p>");
        }
   ?>
   </div>
   <div id="content">
        <h1>Image2Food - Sag mir was ich daraus kochen kann</h1>
        <h2>Das soziale, multimediale Netzwerk für Kochideen</h2>
        <?php
        /**
         * Das soziale Netzwerk für Kochideen
         * die Einstiegsseite mit der Hauptklasse 
         */
        class Index {
            function besucher() {
                if (isset($_SESSION["login"]) && ($_SESSION["login"] == "true")){
                    echo "<div id='indextext'><h3>Mitgliederbereich</h3><br>Sie sind Angemeldet</div>";
                    @include("uploadformular.inc.php"); 
					echo "<a href='vorschaubilder.php'" ." target='vorschau'>Vorschau</a>";
                } elseif (isset($_SESSION["login"]) && ($_SESSION["login"] == "false")){
                    echo "<div id='indextext'> Sie können sich jetzt zum Mitgliederbereich anmelden. </div>";
                } elseif (isset($_COOKIE['Image2Food'])){
                    echo "<div id='indextext'> Schön Sie wieder zu sehen. Melden Sie sich an, um in den geschlossenen Mitgliederbereich zu gelangen, wenn Sie sich schon registriert haben. </div>";
                } else {  
                    echo "<div id= 'indextext'>Willkommen auf unserer Webseite. Schauen Die sich um. Sie können sich hier registrieren und dann in einem geschlossenen Mitgliederbereich anmelden.</div>";
                }
            }   
        }
        $obj = new Index();
        $obj -> besucher(); 
        ?>
   </div>

</body>
</html>